% *************************************************************
% author:   Gene Cheung                                      **
% date:     07/22/2014                                       **
% modified: 01/19/2015                                       **
% purpose:  print gradient maps                              **
% *************************************************************

function [done] = printEdgeMap (hGrad, vGrad, fName, horizon)

[hHeight, hWidth] = size(hGrad);
[vHeight, vWidth] = size(vGrad);

% step 1: print hGrad ******
if horizon == 0,
    fOutName = strcat(fName, '_hGrad');
else
    fOutName = strcat(fName, '_hGrad_h', int2str(horizon));
end
fID = fopen(fOutName,'w');
for i = 1:hHeight,
    for j = 1:hWidth,
        fprintf(fID, '%d', hGrad(i,j));
    end
    fprintf(fID, '\n');
end
fclose(fID);

% step 2: print vGrad ******
if horizon == 0,
    fOutName = strcat(fName, '_vGrad');
else
    fOutName = strcat(fName, '_vGrad_h', int2str(horizon));
end
fID = fopen(fOutName,'w');
for i = 1:vHeight,
    for j = 1:vWidth,
        fprintf(fID, '%d', vGrad(i,j));
    end
    fprintf(fID, '\n');
end
fclose(fID);